---
title: get-microfrontends-config-for-a-project
product: vercel
url: /docs/rest-api/microfrontends/get-microfrontends-config-for-a-project
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-microfrontends-config-for-a-project on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get microfrontends config for a project

```http
GET /v1/microfrontends/projects/{projectIdOrName}/production-mfe-config
```

Get the microfrontends config for a project by ID or name.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectIdOrName` | string | Yes | The name or ID of the project |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "config"
  ],
  "properties": {
    "config": {
      "type": "object",
      "description": "projectIds are added when the config is uploaded to s3 deployment assets.",
      "nullable": true,
      "required": [
        "applications"
      ],
      "properties": {
        "$schema": {
          "type": "string",
          "description": "See https://openapi.vercel.sh/microfrontends.json."
        },
        "version": {
          "type": "string",
          "description": "The version of the microfrontends config schema.",
          "enum": [
            "1"
          ]
        },
        "applications": {
          "type": "object",
          "additionalProperties": {
            "oneOf": [
              {
                "type": "object",
                "required": [
                  "development",
                  "projectId"
                ],
                "properties": {
                  "development": {
                    "type": "object",
                    "description": "Development configuration for the default application.",
                    "required": [
                      "fallback"
                    ],
                    "properties": {
                      "fallback": {
                        "type": "string",
                        "description": "Fallback for local development, could point to any environment. This is required for the default app. This value is used as the fallback for child apps as well if they do not have a fallback. If passing a string, include the protocol (optional), host (required) and port (optional). For example: `https://this.ismyhost:8080`. If omitted, the protocol defaults to HTTPS. If omitted, the port defaults to `80` for HTTP and `443` for HTTPS. See https://vercel.com/docs/microfrontends/local-development."
                      },
                      "local": {
                        "oneOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "number"
                          }
                        ]
                      },
                      "task": {
                        "type": "string",
                        "description": "The task to run when starting the development server. Should reference a script in the package.json of the application. The default value is \"dev\". See https://vercel.com/docs/microfrontends/local-development."
                      }
                    }
                  },
                  "packageName": {
                    "type": "string",
                    "description": "The name used to run the application, e.g. the `name` field in the `package.json`. This is used by the local proxy to map the application config to the locally running app. This is only necessary when the application name does not match the `name` used in `package.json`. See https://vercel.com/docs/microfrontends/configuration#application-naming."
                  },
                  "projectId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "projectId",
                  "routing"
                ],
                "properties": {
                  "development": {
                    "type": "object",
                    "description": "Development configuration for the child application.",
                    "properties": {
                      "fallback": {
                        "type": "string",
                        "description": "Fallback for local development, could point to any environment. If not provided for child apps, the fallback of the default app will be used. If passing a string, include the protocol (optional), host (required) and port (optional). For example: `https://this.ismyhost:8080`. If omitted, the protocol defaults to HTTPS. If omitted, the port defaults to `80` for HTTP and `443` for HTTPS. See https://vercel.com/docs/microfrontends/local-development."
                      },
                      "local": {
                        "oneOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "number"
                          }
                        ]
                      },
                      "task": {
                        "type": "string",
                        "description": "The task to run when starting the development server. Should reference a script in the package.json of the application. The default value is \"dev\". See https://vercel.com/docs/microfrontends/local-development."
                      }
                    }
                  },
                  "routing": {
                    "type": "array",
                    "description": "Groups of path expressions that are routed to this application. See https://vercel.com/docs/microfrontends/path-routing.",
                    "items": {
                      "type": "object",
                      "description": "Groups of path expressions that are routed to this application. See https://vercel.com/docs/microfrontends/path-routing.",
                      "required": [
                        "paths"
                      ],
                      "properties": {
                        "group": {
                          "type": "string",
                          "description": "Group name for the paths."
                        },
                        "flag": {
                          "type": "string",
                          "description": "The name of the feature flag that controls routing for this group of paths. See https://vercel.com/docs/microfrontends/path-routing#routing-changes-safely-with-flags."
                        },
                        "paths": {
                          "type": "array",
                          "description": "A list of path expressions that are routed to this application. See https://vercel.com/docs/microfrontends/path-routing#supported-path-expressions.",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "assetPrefix": {
                    "type": "string",
                    "description": "The name of the asset prefix to use instead of the auto-generated name. The asset prefix is used to prefix all paths to static assets, such as JS, CSS, or images that are served by a specific application. It is necessary to ensure there are no conflicts with other applications on the same domain. An auto-generated asset prefix of the form `vc-ap-<hash>` is used when this field is not provided. When this field is provided, `/${assetPrefix}/:path*` must also be added to the list of paths in the `routing` field. Changing the asset prefix after a microfrontend application has already been deployed is not a forwards and backwards compatible change, and the asset prefix should be added to the `routing` field and deployed before setting the `assetPrefix` field. The default value is the auto-generated asset prefix of the form `vc-ap-<hash>`. See https://vercel.com/docs/microfrontends/path-routing#asset-prefix."
                  },
                  "packageName": {
                    "type": "string",
                    "description": "The name used to run the application, e.g. the `name` field in the `package.json`. This is used by the local proxy to map the application config to the locally running app. This is only necessary when the application name does not match the `name` used in `package.json`. See https://vercel.com/docs/microfrontends/configuration#application-naming."
                  },
                  "projectId": {
                    "type": "string"
                  }
                }
              }
            ]
          }
        },
        "options": {
          "type": "object",
          "description": "Optional configuration options for the microfrontend.",
          "properties": {
            "disableOverrides": {
              "type": "boolean",
              "description": "If you want to disable the overrides for the site. For example, if you are managing rewrites between applications externally, you may wish to disable the overrides on the toolbar as they will have no effect. See https://vercel.com/docs/microfrontends/managing-microfrontends/vercel-toolbar#routing-overrides.",
              "enum": [
                false,
                true
              ]
            },
            "localProxyPort": {
              "type": "number",
              "description": "The port number used by the local proxy server. The default value is 3024. See https://vercel.com/docs/microfrontends/local-development."
            }
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 500: No description

---

## Related

- [microfrontends endpoints](/docs/rest-api#microfrontends)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
